-- controls appearance of pulpit 3 pole switch lamps

--==================================================================
--==================================================================
-- ThreePoleLamp functions: demo version
-- functions for actual switches will test related hardware states
--==================================================================

ThreePoleLampStateTop01 = function(ThreePSw,Up,Center,Down,State,date)

-- up on light visible if cass up

	if ((cassUp.ThNow == cassUp.Up) and (State == "on"))
	then return 0
	elseif ( (cassUp.ThNow ~= cassUp.Up) and (State == "on"))
	then return 1e18

-- up off light visible if cass not up
	elseif ( (cassUp.ThNow ~= cassUp.Up) and (State == "off"))
	then return 0
	elseif ( (cassUp.ThNow == cassUp.Up) and (State == "off"))
	then return 1e18
	end
-- can't get here ...riiiiight...
	return 0
end


--==================================================================

ThreePoleLampTop01 = function (sscvals)

	local orbit = {}
	orbit.params = sscvals
	orbit.boundingRadius = 1e0

	function orbit:position (tjd)
	local XNow = 	ThreePoleLampStateTop01(
			self.params.ButtonRadio,
			self.params.ButtonUp,
			self.params.ButtonCenter,
			self.params.ButtonDown,
			self.params.LampN,
			tjd)
		return XNow, 0, 0
	end

	return orbit
end

--==================================================================
--==================================================================
ThreePoleLampStateBot01 = function(ThreePSw,Up,Center,Down,State,date)
-- 3 positions: up, center, down
-- determined by state of associated radio button set

-- down on light visible if cass down

	if ((cassUp.ThNow == cassUp.Down) and (State == "on"))
	then return 0
	elseif ( (cassUp.ThNow ~= cassUp.Down) and (State == "on"))
	then return 1e18

-- down off light visible if cass not down
	elseif ( (cassUp.ThNow ~= cassUp.Down) and (State == "off"))
	then return 0
	elseif ( (cassUp.ThNow == cassUp.Down) and (State == "off"))
	then return 1e18
	end
-- can't get here ...riiiiight...
	return 0
end

--==================================================================

ThreePoleLampBot01 = function (sscvals)

	local orbit = {}
	orbit.params = sscvals
	orbit.boundingRadius = 1e0

	function orbit:position (tjd)
	local XNow = 	ThreePoleLampStateBot01(
			self.params.ButtonRadio,
			self.params.ButtonUp,
			self.params.ButtonCenter,
			self.params.ButtonDown,
			self.params.LampN,
			tjd)
		return XNow, 0, 0
	end

	return orbit
end
