-- controls appearance of pulpit 3 pole switch lamps
-- central coude crane

--==================================================================
--==================================================================
-- ThreePoleLamp functions: demo version
-- functions for actual switches will test related hardware states
--==================================================================

ThreePoleLampStateTop04 = function(ThreePSw,Up,Center,Down,State,date)


-- up on light visible if crane up

	if ((crane.ThNow == crane.Up) and (State == "on"))
	then return 0
	elseif ( (crane.ThNow ~= crane.Up) and (State == "on"))
	then return 1e18

-- up off light visible if crane not up
	elseif ( (crane.ThNow ~= crane.Up) and (State == "off"))
	then return 0
	elseif ( (crane.ThNow == crane.Up) and (State == "off"))
	then return 1e18
	end
-- can't get here ...riiiiight...
	return 0
end


--==================================================================

ThreePoleLampTop04 = function (sscvals)

	local orbit = {}
	orbit.params = sscvals
	orbit.boundingRadius = 1e0

	function orbit:position (tjd)
	local XNow = 	ThreePoleLampStateTop04(
			self.params.ButtonRadio,
			self.params.ButtonUp,
			self.params.ButtonCenter,
			self.params.ButtonDown,
			self.params.LampN,
			tjd)
		return XNow, 0, 0
	end

	return orbit
end

--==================================================================
--==================================================================
ThreePoleLampStateBot04 = function(ThreePSw,Up,Center,Down,State,date)
-- 3 positions: up, center, down
-- determined by state of associated radio button set

-- down on light visible if crane down

	if ((crane.ThNow == crane.Down) and (State == "on"))
	then return 0
	elseif ( (crane.ThNow ~= crane.Down) and (State == "on"))
	then return 1e18

-- down off light visible if crane not down
	elseif ( (crane.ThNow ~= crane.Down) and (State == "off"))
	then return 0
	elseif ( (crane.ThNow == crane.Down) and (State == "off"))
	then return 1e18
	end
-- can't get here ...riiiiight...
	return 0
end

--==================================================================

ThreePoleLampBot04 = function (sscvals)

	local orbit = {}
	orbit.params = sscvals
	orbit.boundingRadius = 1e0

	function orbit:position (tjd)
	local XNow = 	ThreePoleLampStateBot04(
			self.params.ButtonRadio,
			self.params.ButtonUp,
			self.params.ButtonCenter,
			self.params.ButtonDown,
			self.params.LampN,
			tjd)
		return XNow, 0, 0
	end

	return orbit
end
