# DSC objects used as control codes for Hale telescope model
#
# see Lua module celxx/hale_control.lua for details


# moving parts: central flat coude mirror

# raise/lower coude flat model
OpenCluster "HLM" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Lower_Mirror" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRM" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Raise_Mirror" {RA 0 Dec 0 Distance 1e32 Radius 1}

# display rotatable coude flat model
OpenCluster "HHCM90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Coude_Mirror90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRCM90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Coude_Mirror90" {RA 0 Dec 0 Distance 1e32 Radius 1}

# rotate coude flat to point to/from east trunion
OpenCluster "HCCWM90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_CCW_Coude_Mirror90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSTOPM90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Coude_Mirror90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCWM90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_CW_Coude_Mirror90" {RA 0 Dec 0 Distance 1e32 Radius 1}

# display "coude flat down" (the model which rotates according to declinatin)
OpenCluster "HHCFD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Coude_Flat_Down" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRCFD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Coude_Flat_Down" {RA 0 Dec 0 Distance 1e32 Radius 1}

# desk control "coude flat down" (the model which rotates according to declinatin)
OpenCluster "HCFA" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Coude_Flat_Auto" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCFMAN" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Coude_Flat_Manual" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCF45" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Coude_Flat_45" {RA 0 Dec 0 Distance 1e32 Radius 1}

# pulpit lamp
OpenCluster "HPLL" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Pulpit_Lamp_Lit" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HPLO" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Pulpit_Lamp_Off" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hide/reveal pulpit controls
OpenCluster "HHPULPIT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Pulpit" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRPULPIT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Pulpit" {RA 0 Dec 0 Distance 1e32 Radius 1}

# pulpit cover
OpenCluster "HPCOPEN" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Pulpit_Cover_Open" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HPCSTOP" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Pulpit_Cover_Stop" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HPCCLS" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Pulpit_Cover_Close" {RA 0 Dec 0 Distance 1e32 Radius 1}


# pulpit control "coude flat down" (the model which rotates according to declinatin)
OpenCluster "HCFP45" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Coude_Flat_Pulpit_45" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCFPOFF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Coude_Flat_Pulpit_OFF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCFPDESK" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Coude_Flat_Pulpit_Desk" {RA 0 Dec 0 Distance 1e32 Radius 1}

# pulpit control "coude axis 5M" 
OpenCluster "HCF5MUP" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Coude_Flat5M_Up" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCF5MOFF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Coude_Flat5M_Off" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCF5MDOWN" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Coude_Flat5M_Down" {RA 0 Dec 0 Distance 1e32 Radius 1}

# pulpit control vert cwt
OpenCluster "HVCWTUP" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Vertical_Cwt_Up" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HVCWTOFF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Vertical_Cwt_Off" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HVCWTDWN" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Vertical_Cwt_Down" {RA 0 Dec 0 Distance 1e32 Radius 1}

# pulpit control horiz cwt
OpenCluster "HHCWT40" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Horiz_Cwt_40" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HHCWTOFF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Horiz_Cwt_Off" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HHCWT50" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Horiz_Cwt_50" {RA 0 Dec 0 Distance 1e32 Radius 1}

# left spinner knob, left control button states
OpenCluster "HRAEX" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_RA_Execute" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRAEXOFF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_RA_Execute_Off" {RA 0 Dec 0 Distance 1e32 Radius 1}

# leftt spinner knob, right control button states
OpenCluster "HDECEX" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Dec_Execute" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HDECEXOFF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Dec_Execute_Off" {RA 0 Dec 0 Distance 1e32 Radius 1}


# Control Master : switch 41
OpenCluster "HCMON" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Control_Master_On" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCMOFF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Control_Master_Off" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCMIGN" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Control_Master_Ignore" {RA 0 Dec 0 Distance 1e32 Radius 1}


# Selsyn Supply : switch 42
OpenCluster "HSSON" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Selsyn_On" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSSOFF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Selsyn_Off" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSSIGN" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Selsyn_Ignore" {RA 0 Dec 0 Distance 1e32 Radius 1}

# Telescope tracking: switch 43
OpenCluster "HTMAN" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Tracking_Manual" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HTOFF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Tracking_Off" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HTSEL" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Tracking_Selected" {RA 0 Dec 0 Distance 1e32 Radius 1}

# lighting control
OpenCluster "HLLON" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Low_Lights_On" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HLLOFF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Low_Lights_Off" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HHLON" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_High_Lights_On" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HHLOFF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_High_Lights_Off" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HPLON" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Pilot_Lights_On" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HPLOFF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Pilot_Lights_Off" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: mirror cover & switch 53

OpenCluster "HOC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Open_Cover" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Cover" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Close_Cover" {RA 0 Dec 0 Distance 1e32 Radius 1}

# Focus switch 54
OpenCluster "HFCIN" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Focus_In" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HFCSTOP" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Focus_Stop" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HFCOUT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Focus_Out" {RA 0 Dec 0 Distance 1e32 Radius 1}

# PFF switch 57
OpenCluster "HPFFUP" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_PFF_Up" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HPFFSTOP" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_PFF_Stop" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HPFFDOWN" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_PFF_Down" {RA 0 Dec 0 Distance 1e32 Radius 1}

# Sidereal/tracking: switch 682
OpenCluster "HSTSID" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_SidTrk_Sidereal" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSTOFF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_SidTrk_Off" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSTTRK" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_SidTrk_Tracking" {RA 0 Dec 0 Distance 1e32 Radius 1}

# Dome Rotation switch 61
OpenCluster "HDRLEFT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_DomeRotation_Left" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HDRSTOP" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_DomeRotation_Stop" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HDRRIGHT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_DomeRotation_Right" {RA 0 Dec 0 Distance 1e32 Radius 1}

# wind screen switch 63
OpenCluster "HWSUP" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_WindScreen_Up" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HWSSTOP" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_WindScreen_Stop" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HWSDOWN" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_WindScreen_Down" {RA 0 Dec 0 Distance 1e32 Radius 1}

# RA rate switch 65
OpenCluster "HRA300" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_RARate_300" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRAAUTO" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_RARate_Auto" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRA3000" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_RARate_3000" {RA 0 Dec 0 Distance 1e32 Radius 1}

# RA rate switch 66
OpenCluster "HRAINCR" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_RARate_Incr" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRAIGN" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_RARate_Ignore" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRADECR" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_RARate_Decr" {RA 0 Dec 0 Distance 1e32 Radius 1}

# Worm Clutch switch 67
OpenCluster "HWCCOARSE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_WormClutch_Coarse" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HWCNORM" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_WormClutch_Normal" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HWCFINE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_WormClutch_Fine" {RA 0 Dec 0 Distance 1e32 Radius 1}


# buttons adjacent to right spinner knob

OpenCluster "HBSET" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HBSLEW" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HBSLOW" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HDNORTH" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HDSOUTH" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HDSTOP" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HRAEAST" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRAWEST" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRASTOP" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: central lift

OpenCluster "HRCL" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Raise_Central_Lift" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HLCL" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Lower_Central_Lift" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSCL" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Central_Lift" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: elevator

OpenCluster "HUE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Up_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HDE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Down_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HCDEO" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Control_Desk_Elevator_Override" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCDEOMID" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Control_Desk_Elevator_Override_Mid" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCDEOD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Control_Desk_Elevator_Override_Defeat" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HCDUE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Control_Desk_Up_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCDDE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Control_Desk_Down_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCDSE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Control_Desk_Stop_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}


# moving parts: overhead crane forward, back

OpenCluster "HFOC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Forward_Overhead_Crane" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HBOC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Back_Overhead_Crane" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSOC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Overhead_Crane" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: overhead crane hook up, down

OpenCluster "HUH" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Up_Hook" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HDH" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Down_Hook" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSH" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Hook" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: Dome doors

OpenCluster "HODD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Open_Dome_Doors" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCDD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Close_Dome_Doors" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSDD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Dome_Doors" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: overhead door

OpenCluster "HOOD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Open_Overhead_Door" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCOD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Close_Overhead_Door" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSOD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Overhead_Door" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: freight elevator upper door

OpenCluster "HOFEUD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Open_Freight_Elevator_Upper_Door" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCFEUD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Close_Freight_Elevator_Upper_Door" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSFEUD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Freight_Elevator_Upper_Door" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: freight elevator lower door

OpenCluster "HOFELD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Open_Freight_Elevator_Lower_Door" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCFELD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Close_Freight_Elevator_Lower_Door" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSFELD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Freight_Elevator_Lower_Door" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: freight elevator

OpenCluster "HUFE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Up_Freight_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HDFE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Down_Freight_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSFE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Freight_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: Storage doors

OpenCluster "HOSD1" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Open_Storage_Door1" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSSD1" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Storage_Door1" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCSD1" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Close_Storage_Door1" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HOSD2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Open_Storage_Door2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSSD2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Storage_Door2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCSD2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Close_Storage_Door2" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HOSD3" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Open_Storage_Door3" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSSD3" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Storage_Door3" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCSD3" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Close_Storage_Door3" {RA 0 Dec 0 Distance 1e32 Radius 1}


# hiding things: telescope

OpenCluster "HHT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Telescope" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Telescope" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Lores_Telescope" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: Prime Focus Cage
OpenCluster "HHPFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_PFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRPFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_PFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLPFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Lores_PFC" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: Primary Mirror
OpenCluster "HHPM" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Primary_Mirror" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRPM" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Primary_Mirror" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: Primary Mirror Cell
OpenCluster "HHPMC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Primary_Mirror_Cell" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRPMC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Primary_Mirror_Cell" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: Cassegrain Focus Cage
OpenCluster "HHCFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_CFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRCFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_CFC" {RA 0 Dec 0 Distance 1e32 Radius 1}


# hiding things: yoke

OpenCluster "HHY" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Yoke" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRY" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Yoke" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLY" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Lores_Yoke" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: plinth

OpenCluster "HHP" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Plinth" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRP" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Plinth" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLP" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Lores_Plinth" {RA 0 Dec 0 Distance 1e32 Radius 1}

# labels

OpenCluster "HHLBL" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Labels" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLBL" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Labels" {RA 0 Dec 0 Distance 1e32 Radius 1}

# desks

OpenCluster "HHDDSK" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Demo_Desk" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRDDSK" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Demo_Desk" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HHCDSK" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Control_Desk" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRCDSK" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Control_Desk" {RA 0 Dec 0 Distance 1e32 Radius 1}

#buttonstates to activate spinner knob control


# laser trolley, track and emitter

OpenCluster "HHLTR" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Laser_Target" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLTR" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Laser_Target" {RA 0 Dec 0 Distance 1e32 Radius 1}

# laser light beams

OpenCluster "HHLB" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Laser_Beam" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLB" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Laser_Beam" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: cass 2ndary

OpenCluster "HLCA" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Lower_Cass" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSCA" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Cass" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRCA" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Raise_Cass" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: coude 2ndary (3 mirror config)

OpenCluster "HLCD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Lower_Coude" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSCD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Coude" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRCD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Raise_Coude" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: coude2 2ndary (5 mirror config)

OpenCluster "HLCD2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Lower_Coude2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSCD2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Coude2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRCD2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Raise_Coude2" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: coude crane

OpenCluster "HLCR" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Lower_Crane" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRCR" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Raise_Crane" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSCR" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Crane" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: coude crane clamp

OpenCluster "HCRF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Crane_Remove_Flat" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCSF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Crane_Stop_Flat" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCPF" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Crane_Place_Flat" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: coude bridge

OpenCluster "HLBR" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Lower_Bridge" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSBR" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Bridge" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRBR" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Raise_Bridge" {RA 0 Dec 0 Distance 1e32 Radius 1}


# hiding things: telescope

OpenCluster "HHT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Telescope" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Telescope" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Lores_Telescope" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: yoke

OpenCluster "HHY" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Yoke" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRY" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Yoke" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLY" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Lores_Yoke" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: Prime Focus Instruments

OpenCluster "HHPFI" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Prime_Focus_Instr" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: Prime Focusobserver

OpenCluster "HHPO" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_PrimeObs" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRPO" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_PrimeObs" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: Prime Focus Laser Launch Telescope

OpenCluster "HHLLT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Launch_Tel" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLLT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Launch_Tel" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: Prime Focus Large Format Camera 

OpenCluster "HHLFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_LFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_LFC" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: Prime Focus Large Format Camera's FoV

OpenCluster "HHLFCFOV" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_LFCFOV" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLFCFOV" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_LFCFOV" {RA 0 Dec 0 Distance 1e32 Radius 1}

# Cass Instruments

OpenCluster "HHCI" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Cass_Instr" {RA 0 Dec 0 Distance 1e32 Radius 1}

# Cass observer

OpenCluster "HHCO" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Cass_Obs" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRCO" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Cass_Obs" {RA 0 Dec 0 Distance 1e32 Radius 1}

# Cass Double Spectrograph

OpenCluster "HHDS" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Double_Spect" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRDS" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Double_Spect" {RA 0 Dec 0 Distance 1e32 Radius 1}

# Cass Triple-Spectrometer

OpenCluster "HH3S" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_TripleSpec" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HR3S" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_TripleSpec" {RA 0 Dec 0 Distance 1e32 Radius 1}

# (Cass) Adaptive Optics' optical bench

OpenCluster "HHAO" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_AO" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRAO" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_AO" {RA 0 Dec 0 Distance 1e32 Radius 1}

# PALAO Adaptive Optics' optical paths

OpenCluster "HHAOL" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_AOLight" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRAOL" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_AOLight" {RA 0 Dec 0 Distance 1e32 Radius 1}

# PHARO Field of View

OpenCluster "HHPAFOV" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_PHARO_FOV" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRPAFOV" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_PHARO_FOV" {RA 0 Dec 0 Distance 1e32 Radius 1}

# Coude Yoke Mirror (near base of yoke)

OpenCluster "HHCYM" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Coude_Yoke_Mirror" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRCYM" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Coude_Yoke_Mirror" {RA 0 Dec 0 Distance 1e32 Radius 1}


# hiding things: dome

OpenCluster "HHD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Dome" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Dome" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HHDI" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Dome_Internal" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRDI" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Dome_Internal" {RA 0 Dec 0 Distance 1e32 Radius 1}


# hiding things: base

OpenCluster "HHB" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Base" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRB" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Base" {RA 0 Dec 0 Distance 1e32 Radius 1}

# photons
OpenCluster "HHPH" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Photons" {RA 0 Dec 0 Distance 1e32 Radius 1}

# prime photons
OpenCluster "HFPH1" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Fly_Photons1" {RA 0 Dec 0 Distance 1e32 Radius 1}
#cass photons
OpenCluster "HFPH2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Fly_Photons2" {RA 0 Dec 0 Distance 1e32 Radius 1}
#cass-coude photons
OpenCluster "HFPH3" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Fly_Photons3" {RA 0 Dec 0 Distance 1e32 Radius 1}
# coude-straight photons
OpenCluster "HFPH4" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Fly_Photons4" {RA 0 Dec 0 Distance 1e32 Radius 1}
#coude-bridged photons
OpenCluster "HFPH5" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Fly_Photons5" {RA 0 Dec 0 Distance 1e32 Radius 1}

# light paths
OpenCluster "HHL" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Light" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HRL1" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Light1" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRL2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Light2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRL3" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Light3" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRL4" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Light4" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRL5" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Light5" {RA 0 Dec 0 Distance 1e32 Radius 1}


# messages (obsolete)
OpenCluster "Hale_Msg1" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Msg2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Msg3" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Msg4" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Msg5" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Msg6" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Msg7" {RA 0 Dec 0 Distance 1e32 Radius 1}

